<template>
  <div>
    <section
      class="bg-secondary overflow-hidden h-[calc(100vh+80px)] flex items-center justify-center relative"
    >
      <video
        autoplay
        loop
        muted
        class="absolute w-auto min-w-full min-h-full max-w-none"
      >
        <source src="/minar_para_transformar_home.webm" type="video/webm" />
        {{ $t('errorPage.videoSupportText') }}
      </video>
      <div class="absolute inset-0 bg-secondary bg-opacity-[76%]"></div>

      <div class="relative z-0 px-4 mx-auto text-center lg:px-0 lg:max-w-4xl">
        <h1
          class="mb-10 text-3xl font-bold text-white uppercase lg:text-6xl bai"
        >
          Error <span class="text-primary">{{ error?.statusCode }}</span>
        </h1>
        <div class="mx-auto text-lg text-muted lg:text-2xl lg:max-w-xl">
          <p v-if="error.statusCode === 404" class="text-primary">
            {{ content?.error404?.message }}
          </p>
          <p v-else class="text-primary">
            {{ content?.error500?.message }}
          </p>
          <p>{{ content?.message }}</p>
        </div>
        <div v-if="content?.ctas" class="mt-16 space-y-8 lg:space-y-0 lg:space-x-8">
          <nuxt-link
            v-for="(item, index) in content.ctas"
            :key="index"
            :to="localePath(item.path)"
            class="w-full btn btn-primary lg:w-auto"
            >{{ item.text }}</nuxt-link
          >
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'ErrorLayout',
  props: {
    error: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    content() {
      return this.$t('errorPage')
    },
  },
}
</script>
